Subject: Re: [v6,1/5] powernv:idle: Add IDLE_STATE_ENTER_SEQ_NORET macro

From: Michael Ellerman <[email-masked]>
Date: Wed, 1 Feb 2017 12:05:30 +1100 (AEDT)

On Wed, 2017-01-25 at 08:36:25 UTC, "Gautham R. Shenoy" wrote:
> From: "Gautham R. Shenoy" <[email-masked]>
> 
> Currently all the low-power idle states are expected to wake up
> at reset vector 0x100. Which is why the macro IDLE_STATE_ENTER_SEQ
> that puts the CPU to an idle state and never returns.
> 
> On ISA v3.0, when the ESL and EC bits in the PSSCR are zero, the CPU
> is expected to wake up at the next instruction of the idle
> instruction.
> 
> This patch adds a new macro named IDLE_STATE_ENTER_SEQ_NORET for the
> no-return variant and reuses the name IDLE_STATE_ENTER_SEQ
> for a variant that allows resuming operation at the instruction next
> to the idle-instruction.
> 
> Acked-by: Balbir Singh <[email-masked]>
> Signed-off-by: Gautham R. Shenoy <[email-masked]>

Series applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/823b7bd5156a93872d9561b3f033df

cheers